Midori crashes

I reported earlier that I was unable to compile Webkit, needed for Midori web browser:
http://bkhome.org/blog/?viewDetailed=02577

Jemimah replied that where it was failing is a utility application that can be removed from the makefile. Yes indeed, I did that, and it compiled. Then I compiled Midori 0.4.2.

At startup, Midori partly loaded the Google home page, then crashed.

Weird, Midori is loading libraries inside /initrd/pup_rw/usr/lib/ -- that is so incredibly weird, as that is definitely not in the library search path. It must be something peculiar that the 'waf' build system does.

Jemimah has also compiled Midori 0.4.2, for Racy 5.2.2:
http://murga-linux.com/puppy/viewtopic.php?t=73799

...one tester so far, reports it crashes.

So much for Midori.


Posted on 1 Dec 2011, 10:25


Comments:

Posted on 1 Dec 2011, 11:12 by BarryK
Surfer crashes
I also compiled Surfer, another webkit-based browser. As soon as I tried to load a page, crash.



Posted on 1 Dec 2011, 16:16 by aarf
midori
new midori test with images at above forum link


Posted on 1 Dec 2011, 24:43 by jemimah
patch for midori
If it crashes immediately, then you might need this patch. (maybe using libicu has other problems, I am using glib).

http://www.smokey01.com/jemimah/saluki/source/webkit-161.patch

The old patch I made doesn't work with this webkit - you have to comment out the offending code. Not sure why, it looks like it should work.

Also you need to make sure to all the stock icons midori wants are included in your icon theme because the version of gtk in racy segfaults when it tries to load stock icons that are not there.


Posted on 2 Dec 2011, 3:48 by ttuuxxx
midori browser
Hi Barry/jemimah
I gave jemimah's Latest midori a test run on the latest Racy, As you guy's/gal's must know I like facebook games, I logged into cafeworld and all the popups worked fine, but when it came to actually loading cafeworld, It did not load, what a shame its a flash app, but youtube did work, go figure. Still not primetime yet, But I think it will be soon.
ttuuxxx


Posted on 2 Dec 2011, 4:17 by L18L
stock icons
the version of gtk in racy segfaults when it tries to load stock icons that are not there

Same in wary.
I have noticed this using yad.
latest ymount


Posted on 7 Dec 2011, 7:30 by scsijon
ok in wary522
loaded jemimahs pet ok, could not fault it in wary522, but it did give a libsoup error, added that to her thread to see if it would help her.